$regfile = "attiny2313a.dat"
$crystal = 12000000
$hwstack=40
$swstack = 16
$framesize=32

Config Portd.0 = Output
Config Portd.1 = Output
Config Portd.2 = Output
Config Portd.3 = Output

Set Portd.1
Set Portd.2
Set Portd.0
Set Portd.3


$asm

Kadr:

cbi portd,0
ldi r21,&B00000000

ldi r24, 224
ldi r25, 1
Viz:
rCall 500
sbiw r24,1
brne viz

sbi portd,0
ldi r21,&B00000001

ldi r24, 18                                                ;front porch
ldi r25, 0
Front:
rCall 500
sbiw r24,1
brne front

inc r22
Out Ocr1al , R22

cbi portd,1
ldi r24,2                                                   ;sync
ldi r25, 0
Sync:
rCall 500
sbiw r24,1
brne sync
sbi portd,1


ldi r24, 25                                                 ;back
ldi r25, 0
Back:
rCall 500
sbiw r24,1
brne back

rjmp kadr




500:

ldi r16,101
Loop0:
dec r16
brne loop0
nop

in r18,portd
ori r18 ,&b00000001
Out Portd , R18
nop
nop
nop
nop
nop
nop
nop
nop
nop
nop
nop
nop

in r18,portd
andi r18,&B11111011                                         'reset d2 - Hsync
Out Portd , R18

ldi r16,14
Loop2:
dec r16
brne loop2
nop
nop

in r18,portd
ori r18 ,&b00000100
Out Portd , R18

ldi r16,5
Loop3:
dec r16
brne loop3

in r18,portd
andi r18,&B11111110
OR r18,r21
Out Portd , R18 ;
nop

ret


$end Asm